pappso::PpmPrecision Class Reference

`#include <precision.h>`

Inheritance diagram for pappso::PpmPrecision:

## Public Member Functions

virtual | ~PpmPrecision ()
virtual PrecisionUnit | unit () const override
virtual pappso_double | delta (pappso_double value) const override
virtual QString | toString () const override
Public Member Functions inherited from pappso::PrecisionBase
virtual pappso_double | getNominal () const final

## Protected Member Functions

| PpmPrecision (pappso_double x)
Protected Member Functions inherited from pappso::PrecisionBase
| PrecisionBase (pappso_double nominal)

## Friends

class | PrecisionFactory

## Additional Inherited Members

Protected Attributes inherited from pappso::PrecisionBase
const pappso_double | m_nominal

## Detailed Description

Definition at line 83 of file precision.h.

## Constructor & Destructor Documentation

## PpmPrecision()

pappso::PpmPrecision::PpmPrecision | ( | pappso_double | x | ) |

protected

Definition at line 264 of file precision.cpp.

: PrecisionBase(x)
{
}
pappso::PrecisionBase::PrecisionBase
PrecisionBase(pappso_double nominal)
Definition: precision.h:48

References pappso::x.

## ~PpmPrecision()

pappso::PpmPrecision::~PpmPrecision | ( |  | ) |

virtual

Definition at line 269 of file precision.cpp.

{
}

## Member Function Documentation

## delta()

pappso_double pappso::PpmPrecision::delta | ( | pappso_double | value | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 281 of file precision.cpp.

{
return ((value / ONEMILLION) * m_nominal);
}
pappso::PrecisionBase::m_nominal
const pappso_double m_nominal
Definition: precision.h:46
pappso::ONEMILLION
const pappso_double ONEMILLION(1000000)

References pappso::PrecisionBase::m_nominal, and pappso::ONEMILLION().

## toString()

QString pappso::PpmPrecision::toString | ( |  | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 288 of file precision.cpp.

{
return (QString("%1 ppm").arg(m_nominal));
}

References pappso::PrecisionBase::m_nominal.

## unit()

PrecisionUnit pappso::PpmPrecision::unit | ( |  | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 274 of file precision.cpp.

{
return PrecisionUnit::ppm;
}
pappso::PrecisionUnit::ppm
@ ppm

References pappso::ppm.

## Friends And Related Function Documentation

## PrecisionFactory

friend class PrecisionFactory

friend

Definition at line 85 of file precision.h.

The documentation for this class was generated from the following files:

- pappsomspp/precision.h
- pappsomspp/precision.cpp